<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Graham Featherstone - Home Page</title>
  <link href="./styles.css" rel="stylesheet" />
</head>

<!--<script>
  void async function () {
    //get the imported document in templates:
    var templates = document.createElement('template')
    templates.innerHTML = await (await fetch('header.html')).text()

    var template = templates.content.querySelector( 'header' ) 
    var clone = template.content.cloneNode(true)

    document.body.appendChild(template);
  }()
</script>
<script>

let template = document.getElementById("header");

let clone = template.cloneNode(true);

document.body.appendChild(clone);
</script>
<script>

  let template = document.getElementById('headerr');

  let clone = template.cloneNode(true);

  document.body.appendChild(clone);
</script>
-->
<!--
<script>
  document.addEventListener("DOMContentLoaded", function () {
    function importHTML(templateId, targetId) {
      var template = document.getElementById("header-template");
      var target = document.getElementById("header-content");

      if (template && target) {
        var content = document.importNode(template.content, true);
        target.appendChild(content);
      } else {
        console.error("Template or target element not found.");
      }
    }
    importHTML("header-template", "header-content");
  });
</script>
-->

<header id="header-content">
  <div class="dropdown" style="float:left;">
      <button class="dropbtn">Menu</button>
      <div class="dropdown-content">
          <a href="./index.html">Home</a>
          <a href="./About.html">About</a>
          <a href="./Projects.html">Projects</a>
          <a href="./Contact.html">Contact</a>
      </div>
  </div>
  <div class="container-1">
      <div class="text-container">
          <h1>Graham Featherstone</h1>
          <p>Chemical Engineering Student | Teacher | Enthusiast</p>
      </div>
      <img src="Cropped2.jpg" width="200px">
  </div>
</header>

<body>
  <h1>Introduction</h1>
  <p>
    Welcome to my first webpage! Feel free to explore its contents using the menu link above. The link will take you
    to my projects and designs that I am using in the course, "Digital Fabrication 1". As the class just started, there is going
    to be a small delay as I learn the skills that are essential for digial manufacturing.
  </p>

  </section>

  <footer class="page-footer">
    <div class="container-2">
      <div class="row">
        <div class="col l6 s12">
          <h5 class="white-text">Quick Links</h5>
          <p class="grey-text">Graham Featherstone</p>
        </div>
        <div class="col l4 offset-l2 s12">
          <h5 class="white-text">Links</h5>
          <ul>
            <li><a class="grey-text text-lighten-3" href="./About.html">About</a></li>
            <li><a class="grey-text text-lighten-3" href="./Projects.html">Projects</a></li>
            <li><a class="grey-text text-lighten-3" href="./Contact.html">Contact</a></li>
          </ul>
        </div>
      </div>
    </div>
    <div class="footer-copyright">
      <div class="container">
        © 2023 Copyright
        <a class="grey-text text-lighten-4 right" href="#!">More Links</a>
      </div>
    </div>
  </footer>


</body>

</html>